window.addEvent('domready', function(){
	// smooth anchor scrolling
	new SmoothScroll(); 
	// font-size switcher
	if(document.id('gkTools') && document.id('gkComponentWrap')) {
		var current_fs = 100;
		var content_fx = new Fx.Tween(document.id('gkComponentWrap'), { property: 'font-size', unit: '%', duration: 200 }).set(100);
		document.id('gkToolsInc').addEvent('click', function(e){ 
			e.stop(); 
			if(current_fs < 150) { 
				content_fx.start(current_fs + 10); 
				current_fs += 10; 
			} 
		});
		document.id('gkToolsReset').addEvent('click', function(e){ 
			e.stop(); 
			content_fx.start(100); 
			current_fs = 100; 
		});
		document.id('gkToolsDec').addEvent('click', function(e){ 
			e.stop(); 
			if(current_fs > 70) { 
				content_fx.start(current_fs - 10); 
				current_fs -= 10; 
			} 
		});
	}
	//
	if($('btnLogin')) {
		var login_fx = new Fx.Tween(document.id('gkPopup'), {property:'height',duration:800, transition: Fx.Transitions.Quint.easeOut}).set(0);
		var popup = document.id('system-message');
		var msg_died = true;
		var forms_visible = false;
		
	   		
		if(popup) {
	        msg_died = false;
	        (function(){
	            login_fx.start(0, popup.getSize().y);
	            (function(){ 
	                if(!forms_visible) login_fx.start(0);
	                new Fx.Tween(document.id('system-message'), {property:'opacity', onComplete: function(){ document.id('system-message').destroy(); }}).start(0);
	                msg_died = true;
	            }).delay(6000);
	        }).delay(1000);
		}
		
		document.id('btnLogin').addEvent('click', function(e){
			new Event(e).stop();
			if(document.id('gk_recaptcha')) {
			showGKRecaptcha('gk_recaptcha',  'submit_1', 'recaptcha_required_1');
			}
			if(msg_died) (!forms_visible) ? login_fx.start($$('#gkPopup .gkPopupWrap')[0].getSize().y) : login_fx.start(0);
			else (!forms_visible) ? login_fx.start($$('#gkPopup .gkPopupWrap')[0].getSize().y) : login_fx.start(0);
			forms_visible = !forms_visible;
		});  
	}
});
// function to set cookie
function setCookie(c_name, value, expire) {
	var exdate=new Date();
	exdate.setDate(exdate.getDate()+expire);
	document.cookie=c_name+ "=" +escape(value) + ((expire==null) ? "" : ";expires=" + exdate.toUTCString());
}